com.github.lgooddatepicker.ysandbox

## Class TestParsingMatchFunction

- java.lang.Object
- - com.github.lgooddatepicker.ysandbox.TestParsingMatchFunction

    public class TestParsingMatchFunction
    extends Object

testParsingMatchFunction, This class was written to thoroughly test the effectiveness of the DatePickerUtilities.doesParsedDateMatchText() function. This class is not involved with the normal operation of the date pickers.

### Constructor Summary

Constructors
Constructor and Description
`TestParsingMatchFunction()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)` main, This only exists to run test functions.
`static void` `testDoesParsedDateMatchTextFunction()` testDoesParsedDateMatchTextFunction, Test for the function doesParsedDateMatchText().

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestParsingMatchFunction

    public TestParsingMatchFunction()

### Method Detail

#### main

    public static void main(String[] args)

main, This only exists to run test functions.

#### testDoesParsedDateMatchTextFunction

    public static void testDoesParsedDateMatchTextFunction()

testDoesParsedDateMatchTextFunction, Test for the function doesParsedDateMatchText(). This test every valid date between years -10000 and 10000, and also tests all the invalid dates up to the 31st of short months, in the same range. The tests are done with both alphabetic and numeric months, and done with BC dates (BC dates have years that are offset from ISO). As of this writing, the function correctly handles every tested date.